सामग्री पर जाएँ

AuraSR

इंटीग्रेट करें

मॉडल id aura-sr
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/aura-sr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

प्रति रन अधिकतम $1.00 तक वास्तविक उपयोग के अनुसार शुल्क लिया जाता है, बाकी रिफंड किया जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Open model अपस्केल #upscaling#high-res

डिफ़ॉल्ट रूप से 4x किसी इमेज का अपस्केल करता है, जिसमें v1 या v2 चेकपॉइंट और वैकल्पिक ओवरलैपिंग टाइल चुनी जा सकती हैं

Open model · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

अपस्केल की जाने वाली इमेज की ओर संकेत करने वाला URL।

उन्नत checkpoint · upscale_factor · overlapping_tiles
checkpoint डिफ़ॉल्ट v1

अपस्केलिंग के लिए चुना गया checkpoint। अतिरिक्त checkpoint जल्द उपलब्ध होंगे।

डिफ़ॉल्ट 4

अपस्केलिंग के लिए स्केल गुणक। अतिरिक्त कारक जल्द उपलब्ध होंगे।

POST /run/aura-sr?wait=20 कोटेशन → $1.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/aura-sr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

AuraSR के बारे में

`upscale_factor` का उपयोग करके `image_url` से इमेज को बड़ा करता है, जिसका डिफ़ॉल्ट 4 है। `checkpoint` v1 या v2 चुनता है। `overlapping_tiles` सक्षम करने से सीमाएँ हटाने में मदद मिलती है, लेकिन लगभग दोगुना समय लगता है। अपस्केल की गई इमेज और प्रत्येक चरण का समय लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
अपस्केल की जाने वाली इमेज की ओर संकेत करने वाला URL।
upscale_factorवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट4
अपस्केलिंग के लिए स्केल गुणक। अतिरिक्त कारक जल्द उपलब्ध होंगे।
overlapping_tilesवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
ओवरलैपिंग-टाइल अपस्केलिंग: true सीम हटाने में सहायता के लिए inference समय को दोगुना करता है।
checkpointवैकल्पिक
प्रकारenum
डिफ़ॉल्टv1
v1v2
अपस्केलिंग के लिए चुना गया checkpoint। अतिरिक्त checkpoint जल्द उपलब्ध होंगे।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "aura-sr",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1000,
    "usd": "1.00",
    "charged": 1000,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "timings": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height}अपस्केलिंग से बनी इमेज।
timings
objectअलग-अलग pipeline चरणों की टाइमिंग जानकारी।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/aura-sr.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt